using System;

namespace Drugi_Zadatak___Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, i, j;
            double suma = 0, minP = 100, suma1 = 0;
            n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            string[] razdvoj;
            string unos;

            for (i = 0; i < n; i++)
            {
                do
                {
                    unos = Console.ReadLine();
                    razdvoj = unos.Split(' ');
                    a[i] = double.Parse(razdvoj[0]);
                    p[i] = double.Parse(razdvoj[1]);
                } while (!(p[i] <= 100));
            }

            
            for(i = 0; i < n; i++)
            {
                if(minP > p[i])
                    minP = p[i];
            }

            for(i = 0; i < n; i++)
            {
                suma += a[i] * (minP / 100); 
            }

            for(i = 0; i < n; i++)
            {
                for(j = 0; j < n; j++)
                {
                    if(p[i] <= p[j])
                        suma1 += a[j] * (p[i] / 100);
                }
                if (suma1 > suma)
                    suma = suma1;
                suma1 = 0;
            }

            Console.WriteLine(suma);
        }
    }
}